<article class="ad">
  <div class="img" [ngClass]="checkIfNew() ? 'new' : ''">
    <img alt="product image" [src]="product.src"/>
  </div>
  <div class="info">
    <div class="description">
      <h3 class="product-title" >{{ product.title }}</h3>
      <h5 class="price">{{ product.price }}$</h5>
      <p class="product-description">
        {{ checkIfEmpty() ? 'No description provided' : product.description }}
      </p>
    </div>
    <button>View More</button>
    <a [routerLink]="['/controls/edit', product.id]"><button class="edit">Edit</button></a>
  </div>
</article>
